Bug 1944412

Summary: Review Request: rust-utf8-cstr - Type wrappers promising null termination and utf-8 validity. The intersection of `std::ffi::CStr` and `str`
Product: [Fedora] Fedora Reporter: Rémi Lauzier <remilauzier>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, remilauzier, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-06 01:00:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1941896, 1944422    

Description Rémi Lauzier 2021-03-29 21:42:11 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/remilauzier/rudo/fedora-34-x86_64/02107830-rust-utf8-cstr/rust-utf8-cstr.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/remilauzier/rudo/fedora-34-x86_64/02107830-rust-utf8-cstr/rust-utf8-cstr-0.1.6-1.fc34.src.rpm
Description: Type wrappers promising null termination and utf-8 validity. The intersection of `std::ffi::CStr` and `str`
Fedora Account System Username: remilauzier

Comment 1 Robert-André Mauchin 🐧 2021-04-06 19:15:27 UTC
Using https://copr-be.cloud.fedoraproject.org/results/remilauzier/rudo/fedora-34-x86_64/02113878-rust-utf8-cstr/rust-utf8-cstr.spec

 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved. You still need to find a sponsor.

Comment 2 Robert-André Mauchin 🐧 2021-04-08 21:28:55 UTC
Sponsored.

Comment 3 Tomas Hrcka 2021-04-27 09:16:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-utf8-cstr

Comment 4 Fedora Update System 2021-04-27 21:51:39 UTC
FEDORA-2021-6575e60828 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6575e60828

Comment 5 Fedora Update System 2021-04-28 01:35:31 UTC
FEDORA-2021-6575e60828 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-6575e60828 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6575e60828

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-05-06 01:00:48 UTC
FEDORA-2021-6575e60828 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.